yast2-ncurses: NCTree Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCTree Class Reference

`#include <NCTree.h>`

Inheritance diagram for NCTree:

List of all members.

## Public Member Functions
| NCTree (NCWidget *parent, const YWidgetOpt &opt, const YCPString &label)
virtual | ~NCTree ()
virtual long | nicesize (YUIDimension dim)
virtual void | setSize (long newwidth, long newheight)
virtual void | setLabel (const YCPString &nlabel)
virtual void | rebuildTree ()
virtual const YTreeItem * | getCurrentItem () const
virtual void | setCurrentItem (YTreeItem *it)
virtual NCursesEvent | wHandleInput (wint_t key)
virtual void | setEnabling (bool do_bv)
virtual bool | setKeyboardFocus ()
## Protected Member Functions
const NCTreeLine * | getTreeLine (unsigned idx) const
NCTreeLine * | modifyTreeLine (unsigned idx)
virtual const char * | location () const
virtual NCPad * | CreatePad ()
virtual void | DrawPad ()
virtual void | startMultipleChanges ()
virtual void | doneMultipleChanges ()
## Protected Attributes
NCTreePad *& | pad
## Private Member Functions
NCTree & | operator= (const NCTree &)
| NCTree (const NCTree &)
## Friends
std::ostream & | operator<< (std::ostream &STREAM, const NCTree &OBJ)

## Constructor & Destructor Documentation

NCTree::NCTree | ( | const NCTree & |  | ) | `[private]`

NCTree::NCTree | ( | NCWidget * | parent,
|  | const YWidgetOpt & | opt,
|  | const YCPString & | label
| ) |

NCTree::~NCTree | ( |  | ) | `[virtual]`

## Member Function Documentation

NCPad * NCTree::CreatePad | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCPadWidget.

virtual void NCTree::doneMultipleChanges | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from YWidget.

void NCTree::DrawPad | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCPadWidget.

const YTreeItem * NCTree::getCurrentItem | ( |  | ) | const`[virtual]`

| Implements YTree.

const NCTreeLine * NCTree::getTreeLine | ( | unsigned | idx | ) | const`[inline, protected]`

virtual const char* NCTree::location | ( |  | ) | const`[inline, protected, virtual]`

| Reimplemented from NCPadWidget.

NCTreeLine * NCTree::modifyTreeLine | ( | unsigned | idx | ) | `[inline, protected]`

long NCTree::nicesize | ( | YUIDimension | dim | ) | `[virtual]`

| Implements YWidget.

NCTree& NCTree::operator= | ( | const NCTree & |  | ) | `[private]`

void NCTree::rebuildTree | ( |  | ) | `[virtual]`

| Reimplemented from YTree.

void NCTree::setCurrentItem | ( | YTreeItem * | it | ) | `[virtual]`

| Implements YTree.

virtual void NCTree::setEnabling | ( | bool | do_bv | ) | `[inline, virtual]`

| Pure virtual to make shure every widget implements it. Necessary to make shure that UI requests via YWidget::setEnabling perform, and behave the same way as direct calls to NCWidget::setEnabling. Defaut implementation is provided, and for most derived widgets it's ok to simply use it. Reimplemented from NCPadWidget.

virtual bool NCTree::setKeyboardFocus | ( |  | ) | `[inline, virtual]`

| Reimplemented from YWidget.

void NCTree::setLabel | ( | const YCPString & | nlabel | ) | `[virtual]`

| Reimplemented from YTree.

void NCTree::setSize | ( | long | newwidth,
|  | long | newheight
| ) | `[virtual]`

| Reimplemented from YWidget.

virtual void NCTree::startMultipleChanges | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from YWidget.

NCursesEvent NCTree::wHandleInput | ( | wint_t | key | ) | `[virtual]`

| Reimplemented from NCWidget.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | STREAM,
|  | const NCTree & | OBJ
| ) | `[friend]`

## Member Data Documentation

NCTreePad*& NCTree::pad`[protected]`

| Reimplemented from NCPadWidget.

The documentation for this class was generated from the following files:

- NCTree.h
- NCTree.cc